//
//  AudioFileRecorder.swift
//  SASRDemo
//
//

import Foundation
import AVFoundation


class AudioFileRecorder {
    
    var recorder: AVAudioRecorder?
    let filePath = NSTemporaryDirectory() + "HuaweicloudSIS.wav"
    
    private let settings: [String: Any] = [
        AVSampleRateKey: 16000,
        AVFormatIDKey: kAudioFormatLinearPCM,
        AVLinearPCMBitDepthKey: 16,
        AVNumberOfChannelsKey: 1]
    
    func start() {
        
        do {
            let url = URL(fileURLWithPath: self.filePath)
            recorder = try AVAudioRecorder(url: url, settings: settings)
            recorder!.prepareToRecord()
            recorder!.record()
        } catch let error {
            print("\(error.localizedDescription)")
        }
        
    }
    
    func stop() {
        if recorder!.isRecording {
            recorder!.stop()
        }
        recorder = nil
    }

}
